<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/events/SceneEvent.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_c33611b4dec78f96017d2ccf425d656a.html">events</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">SceneEvent.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="SceneEvent_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;<a class="code" href="Event_8hpp.html">core/Event.hpp</a>&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1SceneButtonEvent.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1SceneButtonEvent.html">SceneButtonEvent</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1SceneButtonEvent.html#ac2c2dbb8b2a9d922a7d7ddcbf70efde1">   11</a></span>    <a class="code hl_function" href="classgg_1_1SceneButtonEvent.html#ac2c2dbb8b2a9d922a7d7ddcbf70efde1">SceneButtonEvent</a>(std::string &amp;<span class="keywordtype">id</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1SceneButtonEvent.html#af77eac7ccf2d7411395a7696704bbf65">   13</a></span>    <a class="code hl_function" href="classgg_1_1SceneButtonEvent.html#af77eac7ccf2d7411395a7696704bbf65">~SceneButtonEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1SceneButtonEvent.html#adade289dbb88f0a1a643c20556ad07da">   15</a></span>    [[nodiscard]] <span class="keyword">inline</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1SceneButtonEvent.html#adade289dbb88f0a1a643c20556ad07da">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1SceneButtonEvent.html#aad131b159ad97cbe399d85638d880894">   17</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1SceneButtonEvent.html#aad131b159ad97cbe399d85638d880894">GetButtonID</a>() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  private:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> mButtonID;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1SceneToggleButtonEvent.html">   23</a></span>class <a class="code hl_class" href="classgg_1_1SceneToggleButtonEvent.html">SceneToggleButtonEvent</a> : public <a class="code hl_class" href="classgg_1_1SceneButtonEvent.html">SceneButtonEvent</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="classgg_1_1SceneToggleButtonEvent.html#a643c81617984934eaa52c927b1f7471c">   26</a></span>    <a class="code hl_function" href="classgg_1_1SceneToggleButtonEvent.html#a643c81617984934eaa52c927b1f7471c">SceneToggleButtonEvent</a>(std::string &amp;, <span class="keywordtype">bool</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="classgg_1_1SceneToggleButtonEvent.html#a957f351b79c34c732ab8d7f28c6e9bce">   28</a></span>    <a class="code hl_function" href="classgg_1_1SceneToggleButtonEvent.html#a957f351b79c34c732ab8d7f28c6e9bce">~SceneToggleButtonEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1SceneToggleButtonEvent.html#a21dc1a85f71db970fdd2dee2c680ccca">   30</a></span>    [[nodiscard]] <span class="keyword">inline</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1SceneToggleButtonEvent.html#a21dc1a85f71db970fdd2dee2c680ccca">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1SceneToggleButtonEvent.html#a9cada8e4d20814867a42d01bdb2b1085">   32</a></span>    [[nodiscard]] auto GetToggleState() const -&gt; const <span class="keywordtype">bool</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>  private:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="keywordtype">bool</span> mToggleState;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>};</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="classgg_1_1SceneInputEvent.html">   38</a></span>class <a class="code hl_class" href="classgg_1_1SceneInputEvent.html">SceneInputEvent</a> : public <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>{</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="classgg_1_1SceneInputEvent.html#ad04ae250e21a801e8810e8626e01cdf6">   41</a></span>    <a class="code hl_function" href="classgg_1_1SceneInputEvent.html#ad04ae250e21a801e8810e8626e01cdf6">SceneInputEvent</a>(std::string &amp;<span class="keywordtype">id</span>, std::string &amp;content);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="classgg_1_1SceneInputEvent.html#a79d9fe8bd403a8aed822b0a04981c86d">   43</a></span>    <a class="code hl_function" href="classgg_1_1SceneInputEvent.html#a79d9fe8bd403a8aed822b0a04981c86d">~SceneInputEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="classgg_1_1SceneInputEvent.html#a97c6731055d87839c902a6b0965c59bf">   45</a></span>    [[nodiscard]] <span class="keyword">inline</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1SceneInputEvent.html#a97c6731055d87839c902a6b0965c59bf">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="classgg_1_1SceneInputEvent.html#aeda8601df5ea33ac78bab6c960f976da">   47</a></span>    [[nodiscard]] inline auto GetInputID() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1SceneInputEvent.html#abb336a390be1e141100b92ea6577c344">   49</a></span>    [[nodiscard]] inline auto GetInputContent() const -&gt; <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>  private:</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> mInputID;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <a class="code hl_namespace" href="namespacestd.html">std</a>::<span class="keywordtype">string</span> mInputContent;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>};</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aEvent_8hpp_html"><div class="ttname"><a href="Event_8hpp.html">Event.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1SceneButtonEvent_html"><div class="ttname"><a href="classgg_1_1SceneButtonEvent.html">gg::SceneButtonEvent</a></div><div class="ttdef"><b>Definition:</b> SceneEvent.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1SceneButtonEvent_html_aad131b159ad97cbe399d85638d880894"><div class="ttname"><a href="classgg_1_1SceneButtonEvent.html#aad131b159ad97cbe399d85638d880894">gg::SceneButtonEvent::GetButtonID</a></div><div class="ttdeci">auto GetButtonID() const -&gt; std::string</div></div>
<div class="ttc" id="aclassgg_1_1SceneButtonEvent_html_ac2c2dbb8b2a9d922a7d7ddcbf70efde1"><div class="ttname"><a href="classgg_1_1SceneButtonEvent.html#ac2c2dbb8b2a9d922a7d7ddcbf70efde1">gg::SceneButtonEvent::SceneButtonEvent</a></div><div class="ttdeci">SceneButtonEvent(std::string &amp;id)</div></div>
<div class="ttc" id="aclassgg_1_1SceneButtonEvent_html_adade289dbb88f0a1a643c20556ad07da"><div class="ttname"><a href="classgg_1_1SceneButtonEvent.html#adade289dbb88f0a1a643c20556ad07da">gg::SceneButtonEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1SceneButtonEvent_html_af77eac7ccf2d7411395a7696704bbf65"><div class="ttname"><a href="classgg_1_1SceneButtonEvent.html#af77eac7ccf2d7411395a7696704bbf65">gg::SceneButtonEvent::~SceneButtonEvent</a></div><div class="ttdeci">~SceneButtonEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1SceneInputEvent_html"><div class="ttname"><a href="classgg_1_1SceneInputEvent.html">gg::SceneInputEvent</a></div><div class="ttdef"><b>Definition:</b> SceneEvent.hpp:39</div></div>
<div class="ttc" id="aclassgg_1_1SceneInputEvent_html_a79d9fe8bd403a8aed822b0a04981c86d"><div class="ttname"><a href="classgg_1_1SceneInputEvent.html#a79d9fe8bd403a8aed822b0a04981c86d">gg::SceneInputEvent::~SceneInputEvent</a></div><div class="ttdeci">~SceneInputEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1SceneInputEvent_html_a97c6731055d87839c902a6b0965c59bf"><div class="ttname"><a href="classgg_1_1SceneInputEvent.html#a97c6731055d87839c902a6b0965c59bf">gg::SceneInputEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1SceneInputEvent_html_ad04ae250e21a801e8810e8626e01cdf6"><div class="ttname"><a href="classgg_1_1SceneInputEvent.html#ad04ae250e21a801e8810e8626e01cdf6">gg::SceneInputEvent::SceneInputEvent</a></div><div class="ttdeci">SceneInputEvent(std::string &amp;id, std::string &amp;content)</div></div>
<div class="ttc" id="aclassgg_1_1SceneToggleButtonEvent_html"><div class="ttname"><a href="classgg_1_1SceneToggleButtonEvent.html">gg::SceneToggleButtonEvent</a></div><div class="ttdef"><b>Definition:</b> SceneEvent.hpp:24</div></div>
<div class="ttc" id="aclassgg_1_1SceneToggleButtonEvent_html_a21dc1a85f71db970fdd2dee2c680ccca"><div class="ttname"><a href="classgg_1_1SceneToggleButtonEvent.html#a21dc1a85f71db970fdd2dee2c680ccca">gg::SceneToggleButtonEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1SceneToggleButtonEvent_html_a643c81617984934eaa52c927b1f7471c"><div class="ttname"><a href="classgg_1_1SceneToggleButtonEvent.html#a643c81617984934eaa52c927b1f7471c">gg::SceneToggleButtonEvent::SceneToggleButtonEvent</a></div><div class="ttdeci">SceneToggleButtonEvent(std::string &amp;, bool)</div></div>
<div class="ttc" id="aclassgg_1_1SceneToggleButtonEvent_html_a957f351b79c34c732ab8d7f28c6e9bce"><div class="ttname"><a href="classgg_1_1SceneToggleButtonEvent.html#a957f351b79c34c732ab8d7f28c6e9bce">gg::SceneToggleButtonEvent::~SceneToggleButtonEvent</a></div><div class="ttdeci">~SceneToggleButtonEvent() override=default</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_ada69b9f844678d00cd5c2b2c30a20122"><div class="ttname"><a href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">gg::EventType</a></div><div class="ttdeci">EventType</div><div class="ttdef"><b>Definition:</b> Event.hpp:11</div></div>
<div class="ttc" id="anamespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:84</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
